#if defined _Break_include
  #endinput
#endif
#define _Break_include

/**
 * Called when a break is started
 *
 * @return				None
 */
forward void Break_OnBreakStarted();

/**
 * Called when a break is finished
 *
 * @return				None
 */
forward void Break_OnBreakFinished();

/**
 * Called when a break is cancelled
 *
 * @return				None
 */
forward void Break_OnBreakCancelled();

/**
 * Returns if a break is active
 *
 * @return				True when in break, false otherwise
 */
native bool Break_IsBreakActive();

public SharedPlugin __pl_Break =
{
	name = "Break",
	file = "Break.smx",

#if defined REQUIRE_PLUGIN
	required = 1
#else
	required = 0
#endif
};

#if !defined REQUIRE_PLUGIN
	public void __pl_Break_SetNTVOptional()
	{
		MarkNativeAsOptional("Break_IsBreakActive");
	}
#endif
